diff --git a/dis6502.1 b/dis6502.1
index 5234264..a0d9ea3 100644
--- a/dis6502.1
+++ b/dis6502.1
@@ -1,14 +1,34 @@
-.TH DIS6502 1 "12 SEP 2003"
-.UC 4
+.TH DIS6502 1 "16 MAY 2023" "0.15+2857fc3_20180311" "SlackBuilds.org"
 .SH NAME
 dis6502 \- Disassemble 6502 object code
 .SH SYNOPSIS
 .I dis6502
 [
-.I \-b 
+.B \-r \fIaddress\fP
+|
+.B \-b
+|
+.B \-l
+|
+.B \-c
 ]
 [
-.I -p \fIpfile\fP 
+.B \-a
+]
+[
+.B \-p \fIpfile\fP
+]
+[
+.B \-e \fIaddress\fP
+]
+[
+.B \-v \fIaddress\fP
+]
+[
+.B \-7
+]
+[
+.B \-P
 ]
 .I file
 .LP
@@ -24,41 +44,49 @@ process.  The output includes a cross reference.
 The disassembly process is a two pass operation:  First the program
 flow is traced starting with the init and run parameters in the file
 headers.  The dump routine then prints out the information.
-.PP
-The command line options are:
+.SH OPTIONS
 .TP
-.I \-r \fIaddress\fP
+.B \-r \fIaddress\fP
 Raw binary input file, with the first byte of the file being associated with
 the specified address.
 .TP
-.I \-b
+.B \-b
 Atari boot format input file.
 .TP
-.I \-l
+.B \-l
 Atari load format input file.
 .TP
-.I \-c
+.B \-c
 Commodore format input file.
 .TP
-.I \-p \fIpfile\fP 
+.B \-a
+Assembly output.
+.TP
+.B \-p \fIpfile\fP
 Read in the predefine file \fIpfile\fP.
 Up to 20 \fI-p\fP options may be included.
 .TP
-.I \-v \fIaddress\fP
+.B \-e \fIaddress\fP
+Use an alternate entry point address.
+.TP
+.B \-v \fIaddress\fP
 Use an alternate address for the reset and interrupt vectors.
 .TP
-.I \-7
+.B \-7
 Mask off MSB of character data.
-.PP
-Lines in pfile consist of:
+.TP
+.B \-P
+Decode Apple ProDOS MLI calls.
+.SH PREDEFINE FILES
+Lines in \fIpfile\fP consist of:
 .PP
 name .eq address
 .PP
  .stop address
 .PP
  .trace address
-.PP 
-.I Address 
+.PP
+.I Address
 may be a decimal number or
 may be a hexadecimal number (the first character of the number
 should be "$").  For example, "$21b5" is
@@ -66,12 +94,11 @@ the hexadecimal number 21b5.
 .I Name
 is a sequence of numbers and characters starting with a
 letter.
-.I .trace 
+.I .trace
 causes
-the trace process to continue at the address given.  
+the trace process to continue at the address given.
 .I .stop
 causes the
 trace process to stop at the address given.
 .SH AUTHORS
 Robert Bond, Udi Finkelstein, and Eric Smith
-.SH BUGS
